<?php
    $user = cmsUser::getInstance();

    $this->addHead('<link rel="alternate" type="application/rss+xml" title="' . LANG_RSS_FORUM_THREADS .'" href="/rss/feed/forum?view=threads&category=' . $category['id'] . '" />');
    $this->addHead('<link rel="alternate" type="application/rss+xml" title="' . LANG_RSS_FORUM_POSTS .'" href="/rss/feed/forum?view=posts&category=' . $category['id'] . '" />');

    if ($user->id && !empty($options['preview_thread'])){
        $this->addCSS('templates/default/css/jBox.css');
        $this->addJS('templates/default/js/jBox.js');
    }

    $this->setPageTitle(($category['seo_title'] ? $category['seo_title'] : $category['title']));
    $this->setPageKeywords(($category['seo_keys'] ? $category['seo_keys'] : $category['title']));
    $this->setPageDescription(($category['seo_desc'] ? $category['seo_desc'] : $category['title']));

    if ($is_can_add_thread){

        $this->addToolButton(array(
            'class' => 'add',
            'title' => LANG_FORUM_NEW_THREAD,
            'href'  => href_to('forum', 'thread_add', $category['id']),
        ));

    }

    if ($user->id){

        $this->addToolButton(array(
            'class' => 'my-threads',
            'title' => LANG_FORUM_MY_THREADS,
            'href'  => href_to('forum', 'my_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'my-posts',
            'title' => LANG_FORUM_MY_POSTS,
            'href'  => href_to('forum', 'my_posts'),
        ));

        $this->addToolButton(array(
            'class' => 'threads',
            'title' => LANG_FORUM_NEW_THREADS,
            'href'  => href_to('forum', 'latest_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'posts',
            'title' => LANG_FORUM_LATEST_POSTS,
            'href'  => href_to('forum', 'latest_posts'),
        ));

    }

    if ($is_abuses && ($user->is_admin || cmsUser::isAllowed('abuses', 'is_moderator'))){

        $this->addToolButton(array(
            'class' => 'abuses',
            'title' => LANG_ABUSES,
            'href' => href_to('abuses')
        ));

    }

    if ($user->is_admin){

        $this->addToolButton(array(
            'class' => 'folder_edit',
            'title' => LANG_FORUM_CAT_EDIT,
            'href'  => href_to('admin', 'controllers', array('edit', 'forum', 'category_edit', $category['id'])),
        ));

        $this->addToolButton(array(
            'class' => 'settings',
            'title' => LANG_FORUM_SETTINGS,
            'href'  => href_to('admin', 'controllers', array('edit', 'forum')),
        ));

    }

?>

<?php if (!empty($options['is_rss']) && empty($category['as_folder'])){?>
    <div class="forum_rss_icon">
        <a class="rss_icon" href="/rss/feed/forum?view=threads&category=1" title="<?php echo LANG_FORUM_RSS_THREADS;?>"><?php echo LANG_FORUM_RSS_THREADS;?></a>
        <a class="rss_icon" href="/rss/feed/forum?view=posts&category=1" title="<?php echo LANG_FORUM_RSS_POSTS;?>"><?php echo LANG_FORUM_RSS_POSTS;?></a>
    </div>
<?php }?>

<h1><?php echo $category['title'];?></h1>

<?php if (!empty($category['description'])){?>

    <div class="description">
        <?php if (!empty($category['icon'])){?>
            <div class="cat-icon">
                <?php echo html_image($category['icon'], 'small');?>
            </div>
        <?php }?>

        <div class="cat-description">
            <?php echo $category['description'];?>
        </div>
    </div>

<?php }?>

<?php if (!empty($category['childs_path'])){?>

<table class="category-table" cellspacing="0" cellpadding="0">

    <tr class="category-table-header">
        <th class="category-table-header-cats"><?php echo LANG_FORUM_CATS;?></th>
        <th class="category-table-header-threads"><?php echo LANG_FORUM_THREADS;?></th>
        <th class="category-table-header-posts"><?php echo LANG_FORUM_POSTS;?></th>
        <th class="category-table-header-lastpost"><?php echo LANG_FORUM_LAST_POST;?></th>
    </tr>

        <?php $level = $category['childs_path'][0]['ns_level'];?>

        <?php foreach ($category['childs_path'] as $id => $cat){?>

            <?php if ($cat['ns_level'] == $level){?>

                <tr id="category-<?php echo $cat['id'];?>" class="category<?php if (!empty($cat['as_folder'])){?>-as-folder<?php }?>">

                    <?php if (!empty($cat['as_folder'])){?>

                        <td colspan="4">
                            <a href="<?php echo href_to('forum', $cat['slug']);?>">
                                <?php echo $cat['title'];?>
                            </a>
                        </td>

                    <?php } else {?>

                        <td class="category-ceil">
                            <div class="category-icon">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>">
                                    <?php if (!empty($cat['icon'])){?>
                                        <?php echo html_image($cat['icon'], 'micro');?>
                                    <?php } else {?>
                                    <img src="/templates/<?php echo $this->name;?>/images/forum/comments.png" title="<?php echo $cat['title'];?>" alt="<?php html($cat['title']);?>" />
                                    <?php }?>
                                </a>
                            </div>
                            <div class="category-title">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>">
                                    <?php echo $cat['title'];?>
                                </a>
                            </div>
                            <div class="category-description">
                                <?php echo $cat['description'];?>
                            </div>
                        </td>

                        <td class="threads-count"><?php echo $cat['threads_count'];?></td>

                        <td class="posts-count"><?php echo $cat['posts_count'];?></td>

                        <td class="last-post">
                            <?php if (!empty($cat['last_post'])){?>

                                <div class="post-from-user">
                                    <div>
                                        <a class="go-last-post" href="<?php echo href_to('forum', 'pfind', array($cat['last_post']['post_id']));?>" title="<?php echo $cat['last_post']['thread_title'];?>">
                                            <?php echo $cat['last_post']['thread_title'];?>
                                        </a>
                                    </div>

                                    <?php echo LANG_FORUM_FROM;?>
                                    <a href="<?php echo href_to('users', $cat['last_post']['user_id']);?>" title="<?php echo $cat['last_post']['user_nickname'];?>"><?php echo $cat['last_post']['user_nickname'];?></a>
                                    <?php echo string_date_format($cat['last_post']['date_pub'], true);?>
                                </div>

                            <?php } else {?>
                                <?php echo LANG_FORUM_NOT_POSTS;?>
                            <?php }?>

                        </td>

                    <?php }?>

                </tr>

                <?php if (!empty($cat['sub_cats'])){?>

                    <tr id="category-<?php echo $cat['id'];?>" class="sub_category">

                        <td colspan="4">

                            <div class="sub-category-header"><?php echo LANG_FORUM_SUBFORUMS;?></div>

                            <div class="sub-category-titles">
                                <?php foreach ($cat['sub_cats'] as $key => $sub_cat) {?>

                                <div class="sub-category-title">
                                    <span class="sub-category-icon"><img src="/templates/<?php echo $this->name;?>/images/forum/comment.png" title="<?php echo $cat['title'];?>" alt="<?php html($cat['title']);?>" /></span>
                                    <a href="<?php echo href_to('forum', $sub_cat['slug']);?>"><?php echo $sub_cat['title'];?></a><?php if (empty($sub_cat['as_folder'])){?> (<?php echo $sub_cat['threads_count'];?>/<?php echo $sub_cat['posts_count'];?>)<?php }?>
                                </div>
                                <?php }?>
                            </div>

                        </td>

                    </tr>

                <?php }?>

                <?php if (!empty($cat['sub_forums_cats'])){?>

                    <tr id="category-<?php echo $cat['id'];?>" class="sub_forums_category">

                        <td colspan="4">

                            <div class="sub-forums-category-header"><?php echo LANG_FORUM_SUBFORUMS_CATS;?></div>

                            <div class="sub-forums-category-titles">
                                <?php foreach ($cat['sub_forums_cats'] as $key => $sub_cat) {?>

                                <span class="sub-forums-category-title">
                                    <a href="<?php echo href_to('forum', $sub_cat['slug']);?>"><?php echo $sub_cat['title'];?></a><?php if (empty($sub_cat['as_folder'])){?> (<?php echo $sub_cat['threads_count'];?>/<?php echo $sub_cat['posts_count'];?>)<?php }?>
                                </span>
                                <?php }?>
                            </div>

                        </td>

                    </tr>

                <?php }?>

            <?php }?>

        <?php }?>

</table>
<br />
<?php }?>

<?php if (empty($category['as_folder'])){?>
    <?php if ($is_can_add_thread){?>
        <div class="new_thread_button">
            <a href="<?php echo href_to('forum', 'thread_add', $category['id']);?>"><?php echo LANG_FORUM_NEW_THREAD;?></a>
        </div>
    <?php }?>
    <div id="threads-table">

        <table class="threads-list" cellspacing="0" cellpadding="0">

            <thead class="threads-list-header">

                <tr>

                    <th class="header-thread"><?php echo LANG_FORUM_THREADS;?></th>

                    <th class="header-stats"><?php echo LANG_FORUM_STATS;?></th>

                    <th class="header-last-post"><?php echo LANG_FORUM_LAST_POST;?></th>

                </tr>

            </thead>

            <tbody>

            <?php if (!empty($threads)){?>

                <?php foreach ($threads as $id => $thread){?>

                    <?php
                    if (!empty($thread['is_new'])){
                        $thread['is_new'] = !in_array('t' . $thread['id'], $threads_read) ? $thread['is_new'] : false;
                    }
                    ?>
                    <tr id="<?php echo $id;?>"<?php if ($thread['is_vip']){?> class="vip-thread"<?php }?>>

                        <td class="threads-table-links">
                            <div class="thread-icon">
                                <?php if ($thread['is_new']){?>
                                    <a href="<?php echo href_to('forum', 'newpost', array($thread['id']));?>" title="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>">
                                <?php } else {?>
                                    <a href="<?php echo href_to('forum', 'pfind', array($thread['last_post']['post_id']));?>" title="<?php echo LANG_FORUM_GO_LAST_POST;?>">
                                <?php }?>
                                <?php if ($thread['is_pinned']){?>
                                    <img alt="<?php echo LANG_FORUM_ATTACHED_THREAD;?>" src="/templates/default/images/forum/pinned.png" title="<?php echo LANG_FORUM_ATTACHED_THREAD;?>" />
                                <?php } elseif ($thread['is_closed']){?>
                                    <img alt="<?php echo LANG_FORUM_THREAD_IS_CLOSE;?>" src="/templates/default/images/forum/closed.png" title="<?php echo LANG_FORUM_THREAD_IS_CLOSE;?>" />
                                <?php } elseif ($thread['is_new']){?>
                                        <img alt="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>" src="/templates/default/images/forum/new.png" title="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>" />
                                <?php } else {?>
                                    <img alt="<?php echo LANG_FORUM_NOT_NEW_MESS;?>" src="/templates/default/images/forum/old.png" title="<?php echo LANG_FORUM_NOT_NEW_MESS;?>" />
                                <?php }?>
                                </a>
                            </div>

                            <div class="thread-link<?php if ($thread['is_new']){?> is_new_thread<?php }?>">

                                <?php if ($thread['is_new']){?>
                                    <a href="<?php echo href_to('forum', 'newpost', array($thread['id']));?>" title="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>"><img src="/templates/default/images/forum/gotonewpost.png" alt="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>" title="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>" /></a>
                                <?php }?>
                                <a href="<?php echo href_to('forum', $thread['slug'] . '.html');?>" rel="<?php echo $thread['id'];?>" title="<?php echo $thread['title'];?>"><?php echo $thread['title'];?></a>
                            </div>
                            <?php if ($user->id && !empty($options['preview_thread'])){?>
                                <div class="thread-preview"><img src="/templates/default/images/icons/eye.png" alt="<?php echo $thread['title'];?>" rel="<?php echo $thread['id'];?>" /></div>
                                <div id="jbox_<?php echo $thread['id'];?>" style="display:none"></div>
                            <?php }?>

                            <?php if ($thread['description']){?>
                                <div class="thread-desc"><?php echo $thread['description'];?></div>
                            <?php }?>

                            <div class="thread-info">

                                <div class="forum-author-avatar">
                                    <a href="<?php echo href_to('users', $thread['user_id']);?>" title="<?php echo $thread['user_nickname'];?>">
                                        <?php echo html_avatar_image($thread['user_avatar'], 'micro');?>
                                    </a>
                                </div>

                                <?php echo LANG_FORUM_THREAD_CREATED;?>
                                <a href="/users/<?php echo $thread['user_id'];?>"><?php echo $thread['user_nickname'];?></a>,
                                <?php echo string_date_format($thread['date_pub'], true);?>
                            </div>

                        </td>

                        <td class="threads-table-stats">
                            <strong><?php echo LANG_FORUM_HITS;?>:</strong> <?php echo $thread['hits'];?><br/>
                            <strong><?php echo LANG_FORUM_REPLIES;?>:</strong> <?php echo $thread['answers'];?>
                        </td>

                        <td class="threads-table-last-post">

                            <?php if (!empty($thread['last_post'])){?>

                                <div class="post-from-user">
                                    <?php echo LANG_FORUM_FROM;?>
                                    <a href="<?php echo href_to('users', $thread['last_post']['user_id']);?>" title="<?php echo $thread['last_post']['user_nickname'];?>"><?php echo $thread['last_post']['user_nickname'];?></a>
                                    <?php echo string_date_format($thread['last_post']['date_pub'], true);?>
                                    <a class="go-last-post" href="<?php echo href_to('forum', 'pfind', array($thread['last_post']['post_id']));?>" title="<?php echo LANG_FORUM_GO_LAST_POST;?>">
                                        <img src="/templates/default/images/forum/anchor.png" alt="<?php echo LANG_FORUM_GO_LAST_POST;?>" title="<?php echo LANG_FORUM_GO_LAST_POST;?>" />
                                    </a>
                                </div>

                            <?php } else {?>
                                <?php echo LANG_FORUM_NOT_POSTS;?>
                            <?php }?>

                        </td>

                    </tr>

                <?php }?>

            <?php } else {?>

                <tr>
                    <td colspan="4" class="not_threads">
                        <?php echo LANG_FORUM_NOT_THREADS_IN_FORUM;?>
                    </td>
                </tr>

            <?php }?>

            </tbody>
        </table>

        <?php echo html_pagebar($page, $perpage, $total, href_to('forum', $category['slug']));?>

    </div>
    <?php if ($user->id){?>
    <script>
        $(document).ready(function(){
            $('.thread-preview img').on('click, mouseover', function(){
                var element = $( this );
                var thread_id = element.attr( 'rel' );
                element.parent().jBox('Tooltip', {
                    ajax: {
                        method: 'POST',
                        url: '/forum/first-post',
                        data: { thread_id: thread_id },
                        setContent: true,
                        dataType: 'json'
                    },
                    position: { x: 'right', y: 'center' },
                    outside: 'x'
                });
            });
        });
    </script>
    <?php }?>
<?php }