<?php
    $user = cmsUser::getInstance();

    $this->addHead('<link rel="alternate" type="application/rss+xml" title="' . LANG_RSS_FORUM_THREADS .'" href="/rss/feed/forum?view=threads&category=1" />');
    $this->addHead('<link rel="alternate" type="application/rss+xml" title="' . LANG_RSS_FORUM_POSTS .'" href="/rss/feed/forum?view=posts&category=1" />');

    $this->setPageTitle(LANG_FORUM_FORUMS);
    $this->setPageKeywords(!empty($options['seo_keys']) ? $options['seo_keys'] : LANG_FORUM_FORUMS);
    $this->setPageDescription(!empty($options['seo_desc']) ? $options['seo_desc'] : LANG_FORUM_FORUMS);

    $this->addBreadcrumb(LANG_FORUM_FORUMS);

    if ($user->id){

        $this->addToolButton(array(
            'class' => 'my-threads',
            'title' => LANG_FORUM_MY_THREADS,
            'href'  => href_to('forum', 'my_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'my-posts',
            'title' => LANG_FORUM_MY_POSTS,
            'href'  => href_to('forum', 'my_posts'),
        ));

        $this->addToolButton(array(
            'class' => 'threads',
            'title' => LANG_FORUM_NEW_THREADS,
            'href'  => href_to('forum', 'latest_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'posts',
            'title' => LANG_FORUM_LATEST_POSTS,
            'href'  => href_to('forum', 'latest_posts'),
        ));

    }

    if ($user->is_admin && $is_abuses){
        $this->addToolButton(array(
            'class' => 'abuses',
            'title' => LANG_ABUSES,
            'href' => href_to('abuses')
        ));
    }

    if ($user->is_admin){
        $this->addToolButton(array(
            'class' => 'settings',
            'title' => LANG_FORUM_SETTINGS,
            'href'  => href_to('admin', 'controllers', array('edit', 'forum')),
        ));
    }

?>

<?php if (!empty($options['is_rss'])){?>
    <div class="forum_rss_icon">
        <a class="rss_icon" href="/rss/feed/forum?view=threads&category=1" title="<?php echo LANG_FORUM_RSS_THREADS;?>"><?php echo LANG_FORUM_RSS_THREADS;?></a>
        <a class="rss_icon" href="/rss/feed/forum?view=posts&category=1" title="<?php echo LANG_FORUM_RSS_POSTS;?>"><?php echo LANG_FORUM_RSS_POSTS;?></a>
    </div>
<?php }?>

<h1><?php echo LANG_FORUM_FORUMS;?></h1>

<?php if ($cats_list){?>

<table class="category-table" cellspacing="0" cellpadding="0">

    <tr class="category-table-header">
        <th class="category-table-header-cats"><?php echo LANG_FORUM_CATS;?></th>
        <th class="category-table-header-threads"><?php echo LANG_FORUM_THREADS;?></th>
        <th class="category-table-header-posts"><?php echo LANG_FORUM_POSTS;?></th>
        <th class="category-table-header-lastpost"><?php echo LANG_FORUM_LAST_POST;?></th>
    </tr>

        <?php $level = $cats_list[0]['ns_level'];?>

        <?php foreach ($cats_list as $id => $cat){?>

            <?php if ($cat['ns_level'] == $level){?>

                <tr id="category-<?php echo $cat['id'];?>" class="category<?php if (!empty($cat['as_folder'])){?>-as-folder<?php }?>">

                    <?php if (!empty($cat['as_folder'])){?>

                    <td colspan="4"><a href="<?php echo href_to('forum', $cat['slug']);?>" title="<?php echo $cat['title'];?>"><?php echo $cat['title'];?></a></td>

                    <?php } else {?>

                        <td class="category-ceil">
                            <div class="category-icon">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>" title="<?php echo $cat['title'];?>">
                                    <?php if (!empty($cat['icon'])){?>
                                        <?php echo html_image($cat['icon'], 'micro');?>
                                    <?php } else {?>
                                    <img src="/templates/<?php echo $this->name;?>/images/forum/comments.png" title="<?php echo $cat['title'];?>" alt="<?php html($cat['title']);?>" />
                                    <?php }?>
                                </a>
                            </div>
                            <div class="category-title">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>" title="<?php echo $cat['title'];?>">
                                    <?php echo $cat['title'];?>
                                </a>
                            </div>
                            <div class="category-description">
                                <?php echo $cat['description'];?>
                            </div>
                        </td>

                        <td class="threads-count"><?php echo $cat['threads_count'];?></td>

                        <td class="posts-count"><?php echo $cat['posts_count'];?></td>

                        <td class="last-post">
                            <?php if (!empty($cat['last_post'])){?>

                                <div class="post-from-user">
                                    <div>
                                        <a class="go-last-post" href="<?php echo href_to('forum', 'pfind', array($cat['last_post']['post_id']));?>" title="<?php echo $cat['last_post']['thread_title'];?>">
                                            <?php echo $cat['last_post']['thread_title'];?>
                                        </a>
                                    </div>

                                    <?php echo LANG_FORUM_FROM;?>
                                    <a href="<?php echo href_to('users', $cat['last_post']['user_id']);?>" title="<?php echo $cat['last_post']['user_nickname'];?>"><?php echo $cat['last_post']['user_nickname'];?></a>
                                    <?php echo string_date_format($cat['last_post']['date_pub'], true);?>
                                </div>

                            <?php } else {?>
                                <?php echo LANG_FORUM_NOT_POSTS;?>
                            <?php }?>
                        </td>

                    <?php }?>

                </tr>

            <?php }?>

            <?php if (($cat['ns_level']-1) == $level){?>

                <tr id="category-<?php echo $cat['id'];?>" class="category<?php if (!empty($cat['as_folder'])){?>-as-folder<?php }?>">

                    <?php if (!empty($cat['as_folder'])){?>

                        <td colspan="4" class="category-ceil">

                            <div class="category-icon">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>" title="<?php echo $cat['title'];?>">
                                    <?php if (!empty($cat['icon'])){?>
                                        <?php echo html_image($cat['icon'], 'micro');?>
                                    <?php } else {?>
                                    <img src="/templates/<?php echo $this->name;?>/images/forum/folder.png" title="<?php echo $cat['title'];?>" alt="<?php html($cat['title']);?>" />
                                    <?php }?>
                                </a>
                            </div>

                            <div class="category-title">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>" title="<?php echo $cat['title'];?>">
                                    <?php echo $cat['title'];?>
                                </a>
                            </div>
                        </td>

                    <?php } else {?>

                        <td class="category-ceil">
                            <div class="category-icon">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>" title="<?php echo $cat['title'];?>">
                                    <?php if (!empty($cat['icon'])){?>
                                        <?php echo html_image($cat['icon'], 'micro');?>
                                    <?php } else {?>
                                    <img src="/templates/<?php echo $this->name;?>/images/forum/comments.png" title="<?php echo $cat['title'];?>" alt="<?php html($cat['title']);?>" />
                                    <?php }?>
                                </a>
                            </div>

                            <div class="category-title">
                                <a href="<?php echo href_to('forum', $cat['slug']);?>" title="<?php echo $cat['title'];?>">
                                    <?php echo $cat['title'];?>
                                </a>
                            </div>

                            <div class="category-description">
                                <?php echo $cat['description'];?>
                            </div>
                        </td>

                        <td class="threads-count"><?php echo $cat['threads_count'];?></td>

                        <td class="posts-count"><?php echo $cat['posts_count'];?></td>

                        <td class="last-post">
                            <?php if (!empty($cat['last_post'])){?>

                                <div class="post-from-user">
                                    <div>
                                        <a class="go-last-post" href="<?php echo href_to('forum', 'pfind', array($cat['last_post']['post_id']));?>" title="<?php echo $cat['last_post']['thread_title'];?>">
                                            <?php echo $cat['last_post']['thread_title'];?>
                                        </a>
                                    </div>

                                    <?php echo LANG_FORUM_FROM;?>
                                    <a href="<?php echo href_to('users', $cat['last_post']['user_id']);?>" title="<?php echo $cat['last_post']['user_nickname'];?>"><?php echo $cat['last_post']['user_nickname'];?></a>
                                    <?php echo string_date_format($cat['last_post']['date_pub'], true);?>
                                </div>

                            <?php } else {?>
                                <?php echo LANG_FORUM_NOT_POSTS;?>
                            <?php }?>
                        </td>

                    <?php }?>

                </tr>

                <?php if (!empty($cat['sub_cats'])){?>

                    <tr id="category-<?php echo $cat['id'];?>" class="sub_category">

                        <td colspan="4">

                            <div class="sub-category-header"><?php echo LANG_FORUM_SUBFORUMS;?></div>

                            <div class="sub-category-titles">
                                <?php foreach ($cat['sub_cats'] as $key => $sub_cat) {?>

                                <div class="sub-category-title">
                                    <span class="sub-category-icon"><img src="/templates/<?php echo $this->name;?>/images/forum/comment.png" title="<?php echo $cat['title'];?>" alt="<?php html($cat['title']);?>" /></span>
                                    <a href="<?php echo href_to('forum', $sub_cat['slug']);?>"><?php echo $sub_cat['title'];?></a><?php if (empty($sub_cat['as_folder'])){?> (<?php echo $sub_cat['threads_count'];?>/<?php echo $sub_cat['posts_count'];?>)<?php }?>
                                </div>
                                <?php }?>
                            </div>

                        </td>

                    </tr>

                <?php }?>

            <?php }?>

        <?php }?>

</table>

<?php }?>