<?php
    $user = cmsUser::getInstance();
    $is_can_vote = $user->id ? true : false;
    $is_can_view_result = $thread_poll['options']['result'] == 0 || ($thread_poll['options']['result'] == 1 && $user->id) || ($thread_poll['options']['result'] == 2 && $thread_poll['is_user_vote']) ? true : false;
?>

<div id="thread_poll">

    <div class="poll-title odd">
        <?php echo $thread_poll['title'];?>
    </div>

    <?php if (!empty($thread_poll['description'])){?>

        <div class="poll-description odd">
            <?php echo $thread_poll['description'];?>
        </div>

    <?php }?>

    <?php if (!$is_can_vote){?>

        <div class="odd"><?php echo LANG_FORUM_GUESTS_NOT_VOTE;?></div>

    <?php } else {?>

        <?php if ($is_can_view_result && $show_result == 'result' || !$is_can_write){?>

            <div class="poll-results">

                <div class="poll-voters-count">

                    <span><?php echo LANG_FORUM_TOTAL_VOTES; ?>: <?php echo $thread_poll['voters_count'];?></span>

                    <?php if ($is_can_write && !$thread['is_closed'] && !$thread_poll['is_closed']){?>
                        <a class="comment_poll_link" href="<?php echo href_to('forum', 'post_add', $thread['id']);?>"><?php echo LANG_FORUM_COMMENT_POLL;?></a>
                    <?php }?>

                    <?php if ($is_can_write){?>
                        <?php echo html_button(LANG_FORUM_POLL_GOTO_VOTE, 'goto_vote', "loadPoll('form'); return false;", array('class' => 'button-poll-result')); ?>
                    <?php }?>
                </div>

                <table class="poll-results-data" cellspacing="0" cellpadding="0">

                    <tbody>
                        <?php $option_key = 1;?>
                        <?php foreach ($thread_poll['answers'] as $answer => $num){?>

                            <?php if ($answer == '0'){continue;}?>

                            <?php $percent = !empty($thread_poll['vote_count']) ? ceil((int)$num/$thread_poll['vote_count']*100) : 0;?>

                            <tr>

                                <td class="poll-option-cell">

                                    <div class="title<?php if (isset($thread_poll['is_user_vote'][$answer])){?> is_my_answer<?php }?>"><?php echo $answer;?></div>

                                    <div class="bar-container">
                                        <div class="bar option-<?php echo $option_key;?>" style="width: <?php echo $percent;?>%"></div>
                                    </div>

                                </td>

                                <td class="poll-percent-cell">

                                    <div class="percentage"><?php echo $percent;?>%</div>

                                </td>

                                <td class="poll-vote-cell">

                                    <div class="votes">

                                        <?php echo html_spellcount($num, LANG_FORUM_POLL_VOICE1, LANG_FORUM_POLL_VOICE2, LANG_FORUM_POLL_VOICE10); ?>

                                    </div>

                                </td>

                                <?php if (!empty($thread_poll['options']['answers_is_pub']) && !empty($thread_poll['voters'])){?>
                                    <td>

                                        <div class="voters-block" title="<?php echo LANG_FORUM_POLL_PRESS_FOR_DETAIL;?>">

                                            <div class="voters" style="display: none;">

                                                <?php if (!empty($thread_poll['voters'][$answer])){?>

                                                    <?php foreach ($thread_poll['voters'][$answer] as $voters){ ?>

                                                        <?php echo html_date_time($voters['date_pub']);?>
                                                        <a href="<?php echo href_to('users', $voters['user_id']);?>"><?php echo $voters['nickname'];?></a><br>

                                                    <?php }?>

                                                <?php } else {?>

                                                    <?php echo LANG_FORUM_POLL_NO_VOICE;?>

                                                <?php }?>

                                            </div>

                                        </div>

                                    </td>

                                <?php }?>

                            </tr>

                            <?php $option_key++;?>

                        <?php }?>

                    </tbody>

                </table>

            </div>

        <?php } else {?>

            <div class="poll-results">

                <div class="poll-voters-count">

                    <?php if ($is_can_write && !$thread['is_closed'] && !$thread_poll['is_closed']){?>
                        <a class="comment_poll_link" href="<?php echo href_to('forum', 'post_add', $thread['id']);?>"><?php echo LANG_FORUM_COMMENT_POLL;?></a>
                    <?php }?>

                    <?php if ($is_can_view_result){?>

                        <?php echo html_button(LANG_FORUM_POLL_GOTO_RESULT, 'goto_result', "loadPoll('result'); return false;", array('class' => 'button-poll-result')); ?>

                    <?php }?>

                </div>

                <table class="forum_poll_table" cellspacing="0" cellpadding="0">

                    <tr>

                        <td class="forum_poll_data">

                            <?php if ($thread['is_closed'] && $thread_poll['options']['result'] < 2 && empty($thread_poll['is_user_vote'])){?>

                                <?php echo LANG_FORUM_YOU_IS_NOT_VOTE_IN_CLOSED;?>

                            <?php } elseif (!empty($thread_poll['is_user_vote']) && empty($thread['is_closed']) && empty($thread_poll['is_closed'])){?>

                                <?php echo LANG_FORUM_YOU_IS_VOTE;?>

                            <?php } else {?>

                                <form id="forum_poll_submit_form" method="post" action="">

                                    <?php echo html_input('hidden', 'csrf_token', cmsForm::getCSRFToken());?>
                                    <?php echo html_input('hidden', 'poll_id', $thread_poll['id']);?>

                                    <?php foreach ($thread_poll['answers'] as $answer => $num){?>

                                        <div class="mod_poll_answer">

                                            <label>

                                                <?php echo !empty($thread_poll['options']['multi_answer']) ? html_checkbox('answer', false, $answer) : html_radio('answer', false, $answer);?>
                                                <?php html($answer);?>

                                            </label>

                                        </div>

                                    <?php }?>

                                    <div class="forum_poll_submit">

                                        <?php echo $user->id ? html_button(LANG_FORUM_VOTING, 'submit', 'pollSubmit();') : LANG_FORUM_GUESTS_NOT_VOTE;?>

                                    </div>

                                </form>

                            <?php }?>

                        </td>
                        <td>
                            <div class="forum_poll_param"><strong><?php echo LANG_FORUM_TOTAL_VOTES;?>:</strong> <?php echo $thread_poll['voters_count'];?></div>

                            <?php if (!empty($thread_poll['is_user_vote'])){?>

                                <div class="forum_poll_param"><strong><?php echo LANG_FORUM_YOUR_ANSWER;?>:</strong> <?php echo implode(', ', $thread_poll['is_user_vote']);?></div>

                            <?php }?>

                            <?php if (!$thread_poll['is_closed'] && !$thread['is_closed']){?>

                                <?php if (!empty($thread_poll['options']['days'])){?>
                                    <div class="forum_poll_param"><strong><?php echo LANG_FORUM_END_DATE_POLL;?>:</strong> <?php echo html_date($thread_poll['date_pub_end']);?></div>
                                <?php }?>

                                <div class="forum_poll_param"><strong><?php echo LANG_FORUM_RESULTS;?>:</strong> <?php echo $thread_poll['options']['result_text'];?></div>

                                <?php if ($user->id){?>

                                    <div class="forum_poll_param"><strong><?php echo LANG_FORUM_ANSWER_CHANGING;?>:</strong> <?php echo $thread_poll['options']['change_text'];?></div>

                                <?php }?>

                                <?php if (!empty($thread_poll['is_user_vote']) && $thread_poll['options']['change']){?>
                                    <div class="forum_poll_param"><a class="ajaxlink" href="#" onclick="loadPoll('revote'); return false;"><?php echo LANG_FORUM_CHANGE_VOTE;?></a></div>
                                <?php }?>

                                <?php if ($user->is_admin || $is_moder || $thread['is_mythread']){?>
                                    <div class="forum_poll_param"><a class="ajaxlink" href="#" onclick="if(confirm('<?php echo LANG_FORUM_CONFIRM_DELETE_POLL;?>')){ deletePoll(); return false; }"><?php echo LANG_FORUM_DELETE_POLL;?></a></div>
                                <?php }?>

                            <?php } else {?>
                                <div class="forum_poll_param poll_finished"><strong><?php echo LANG_FORUM_POLL_FINISHED;?></strong></div>
                            <?php }?>

                        </td>
                    </tr>
                </table>

            </div>
        <?php }?>
    <?php }?>
</div>

<script type="text/javascript">

    function pollSubmit(){

        var form = $('#forum_poll_submit_form');

        var form_data = icms.forms.toJSON($(form));

        var url = '/forum/poll_vote';

        $.post(url, form_data, function(result){

            if (result.error === false){

                loadPoll('result');

                return;
            } else {
                alert(result.text);
            }

        }, 'json');

    }

    function loadPoll(result){

        $('#thread_poll').css({opacity:0.4, filter:'alpha(opacity=40)'});
        $.post('<?php echo href_to('forum', 'poll', $thread['id']);?>/'+result, { }, function(data){
            $('#thread_poll').html(data);
            $('#thread_poll').css({opacity:1.0, filter:'alpha(opacity=100)'});
        });

    }

    function deletePoll(){
        $.ajax({
            method: 'POST',
            url: '<?php echo href_to('forum', 'poll_delete', $thread['id']);?>',
            data: {csrf_token: '<?php echo cmsForm::getCSRFToken();?>'},
            dataType: 'json'
          }).done(function( msg ) {
                $('#thread_poll').html('');
                alert( msg );
        });
    };
    $('.voters-block').on('click', function(){
        $(this).children('.voters').toggle();
    });
</script>