<?php
    $user = cmsUser::getInstance();

    $this->addJSFromContext('templates/default/js/forum.js');

    if ($is_abuses){ $this->addJSFromContext('templates/default/js/abuses.js'); }

    $this->setPageTitle(html_clean($thread['title']));
    $this->setPageDescription(!empty($thread['description']) ? $thread['description'] : $thread['title']);
    $this->setPageKeywords($thread['title']);

    $lang_days = lang_days();

    if ($user->id){

        if (empty($thread['is_closed'])){

            if ($is_can_write){

                $this->addToolButton(array(
                    'class' => 'add',
                    'title' => LANG_FORUM_NEW_MESSAGE,
                    'href'  => href_to('forum', 'post_add', $thread['id']),
                ));

            }

            if (!$is_subscribed && $is_can_subscribe){

                $this->addToolButton(array(
                    'class' => 'subscribe',
                    'title' => LANG_FORUM_SUBSCRIBE_THEME,
                    'href'  => href_to('forum', 'thread', array('subscribe', $thread['id']))
                ));

            }

            if ($is_subscribed && $is_can_subscribe){

                $this->addToolButton(array(
                    'class' => 'unsubscribe',
                    'title' => LANG_FORUM_UNSUBSCRIBE,
                    'href'  => href_to('forum', 'thread', array('unsubscribe', $thread['id']))
                ));

            }

            if (($is_moder || $thread['is_mythread']) && !empty($thread['is_fixed'])){

                $this->addToolButton(array(
                    'class' => 'cancel',
                    'title' => LANG_FORUM_UNFIXED,
                    'href'  => href_to('forum', 'thread', array('unfixed', $thread['id'])),
                ));

            }

            if ($is_moder && empty($thread['is_pinned'])){

                $this->addToolButton(array(
                    'class' => 'pinthread',
                    'title' => LANG_FORUM_PIN,
                    'href'  => href_to('forum', 'thread', array('pin', $thread['id'])),
                ));

            }

            if ($is_moder && !empty($thread['is_pinned'])){

                $this->addToolButton(array(
                    'class' => 'unpinthread',
                    'title' => LANG_FORUM_UNPIN,
                    'href'  => href_to('forum', 'thread', array('unpin', $thread['id'])),
                ));

            }

            if ($is_can_send_invite){

                $this->addToolButton(array(
                    'class' => 'bell',
                    'title' => LANG_FORUM_THREAD_INVITE,
                    'href' => href_to('forum', 'thread_invite', array($thread['id']))
                ));

            }

            if ($is_can_thread_edit){

                $this->addToolButton(array(
                    'class' => 'edit',
                    'title' => LANG_FORUM_THREAD_EDIT,
                    'onclick' => "icms.modal.openAjax('" . href_to('forum', 'thread_edit', array($thread['id'])) . "'); return false;"
                ));

            }

            if ($is_moder || $thread['is_mythread']){

                if ($is_moder || $is_can_thread_vip){

                    $this->addToolButton(array(
                        'class' => empty($thread['is_vip']) ? 'vip-add' : 'vip-delete',
                        'title' => empty($thread['is_vip']) ? LANG_FORUM_THREAD_VIP_ADD : LANG_FORUM_THREAD_VIP_CHANGE,
                        'href' => href_to('forum', 'thread_vip', $thread['id']),
                    ));

                }

                $this->addToolButton(array(
                    'class' => 'delete',
                    'title' => LANG_FORUM_THREAD_DELETE,
                    'onclick' => "if(confirm('".sprintf(LANG_FORUM_THREAD_DELETE_CONFIRM, html_clean($thread['title']))."')){ icms.forum.deleteThread(" . $thread['id'] . "); }"
                ));

                $this->addToolButton(array(
                    'class' => 'lock_open',
                    'title' => LANG_CLOSE,
                    'href'  => href_to('forum', 'thread', array('close', $thread['id'])),
                ));

            }

        }

        if (!empty($thread['is_closed']) && ($is_moder || $is_can_thread_edit)){

            $this->addToolButton(array(
                'class' => 'lock',
                'title' => LANG_FORUM_OPEN,
                'href'  => href_to('forum', 'thread', array('open', $thread['id'])),
            ));

        }

        $this->addToolButton(array(
            'class' => 'my-threads',
            'title' => LANG_FORUM_MY_THREADS,
            'href'  => href_to('forum', 'my_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'my-posts',
            'title' => LANG_FORUM_MY_POSTS,
            'href'  => href_to('forum', 'my_posts'),
        ));

        $this->addToolButton(array(
            'class' => 'threads',
            'title' => LANG_FORUM_NEW_THREADS,
            'href'  => href_to('forum', 'latest_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'posts',
            'title' => LANG_FORUM_LATEST_POSTS,
            'href'  => href_to('forum', 'latest_posts'),
        ));

        if ($is_abuses && ($user->is_admin || cmsUser::isAllowed('abuses', 'is_moderator'))){

            $this->addToolButton(array(
                'class' => 'abuses',
                'title' => LANG_ABUSES,
                'href' => href_to('abuses', 'index')
            ));

        }

        if ($user->is_admin){

            $this->addToolButton(array(
                'class' => 'folder_edit',
                'title' => LANG_FORUM_CAT_EDIT,
                'href'  => href_to('admin', 'controllers', array('edit', 'forum', 'category_edit', $category['id']))
            ));

            $this->addToolButton(array(
                'class' => 'settings',
                'title' => LANG_FORUM_SETTINGS,
                'href'  => href_to('admin', 'controllers', array('edit', 'forum')),
            ));

        }

    }

    $last_cat_title = false;
?>

<h1><?php echo $thread['title'];?></h1>

<?php if (!empty($thread['description'])){?>

    <div id="thread_description"><?php echo $thread['description'];?></div>

<?php }?>

<?php if (!empty($thread['from_cat']) && $is_moder){?>

    <div class="from_category"><?php echo LANG_FORUM_THREAD_FROM_CAT;?> <?php echo html_link($thread['from_cat']['title'], href_to('forum', $thread['from_cat']['slug']));?></div>

<?php }?>

<?php if (!empty($thread_poll['title'])){?>

    <?php $this->renderChild('thread_poll', array(
        'thread_poll' => $thread_poll,
        'thread' => $thread,
        'is_moder' => $is_moder,
        'is_can_write' => $is_can_write,
        'show_result' => $thread_poll['is_user_vote'] ? 'result' : 'form'
    )); ?>

<?php }?>

<?php echo html_pagebar($page, $perpage, $total, href_to('forum', $thread['slug'] . '.html'));?>

<table class="posts_table" cellspacing="0" cellpadding="0">

    <?php foreach ($posts as $id => $post){?>

    <tr>

        <td colspan="2" class="posts_table_header<?php if (!empty($thread['is_vip'])){?> vip-thread-table-header<?php }?>">

            <div id="post_<?php echo $post['id'];?>" class="post_date">

                <?php $name = !empty($post['is_first']) ? 1 : $num;?>

                <?php if ($post['is_pinned'] && $name > 1){?>

                    <img src="/templates/<?php echo $this->name;?>/images/forum/sticky.png" alt="<?php echo LANG_FORUM_ATTACHED_MESSAGE;?>" title="<?php echo LANG_FORUM_ATTACHED_MESSAGE;?>" />

                <?php }?>

                <strong>
                    <a class="post_finder" href="<?php echo href_to('forum ', 'pfind', array($post['id']));?>">#<?php echo $name;?></a>
                </strong> - <?php echo string_date_format($post['date_pub'], true);?>, <?php echo $lang_days[$post['wday']];?>

            </div>

            <?php if ($user->id && empty($thread['is_closed'])){?>

                <div class="msg_links">

                    <?php if ($options['fast_answer'] && $is_can_write){?>

                        <a class="ajaxlink" href="#" onclick="icms.forum.addQuoteText(this); return false;" rel="<?php html($post['user_nickname']);?>" title="<?php echo LANG_FORUM_ADD_SELECTED_QUOTE;?>"><?php echo LANG_FORUM_ADD_QUOTE_TEXT;?></a> |

                    <?php }?>

                    <?php if ($is_moder || $is_can_write){?><a href="<?php echo href_to('forum', 'post_add', array($thread['id'], $post['id']));?>" title="<?php echo LANG_FORUM_REPLY_FULL_QUOTE;?>"><?php echo LANG_REPLY;?></a><?php }?>

                    <?php if ($is_moder || !empty($post['is_author_can_edit'])){?>

                        | <a href="<?php echo href_to('forum', 'post_edit', array($post['id']));?>"><?php echo LANG_EDIT;?></a>

                        <?php if ($name > 1 && $is_moder){?>

                            | <a onclick="icms.modal.openAjax('/forum/post_move/<?php echo $post['id'];?>'); return false;" href="#" class="ajaxlink" title="<?php echo LANG_FORUM_MOVE_POST;?>"><?php echo LANG_MOVE;?></a>

                            <?php if (!$post['is_hidden']){?>

                                | <a href="<?php echo href_to('forum', 'post', array('hide', $post['id']));?>" title="<?php echo LANG_HIDE;?>"><?php echo LANG_HIDE;?></a>

                            <?php } else {?>

                                | <a href="<?php echo href_to('forum', 'post', array('view', $post['id']));?>" title="<?php echo LANG_FORUM_VIEW;?>"><?php echo LANG_FORUM_VIEW;?></a>

                            <?php }?>

                            <?php if (!$post['is_pinned']){?>

                                | <a href="<?php echo href_to('forum', 'post', array('pin', $post['id']));?>"><?php echo LANG_FORUM_PIN;?></a>

                            <?php } else {?>

                                | <a href="<?php echo href_to('forum', 'post', array('unpin', $post['id']));?>"><?php echo LANG_FORUM_UNPIN;?></a>

                            <?php }?>

                        <?php }?>

                    <?php }?>

                    <?php if ($name > 1 && ($is_moder || !empty($post['is_author_can_edit']))){?>
                        | <a href="#" class="ajaxlink" title="<?php echo LANG_FORUM_DELETE_MESSAGE;?>" onclick="if(confirm('<?php echo LANG_FORUM_CONFIRM_DELETE_POST;?>')){ icms.forum.deletePost(<?php echo $post['id'];?>); return false; }"><?php echo LANG_DELETE;?></a>
                    <?php }?>

                    <?php if ($is_abuses && $user->id){?>
                        | <a href="#" title="<?php echo LANG_ABUSES;?>" onclick="icms.abuses.addAbuse('forum', 'posts', '<?php echo $post['id'];?>'); return false;"><img src="/templates/default/images/icons/abuses.png" alt="<?php echo LANG_ABUSE;?>" title="<?php echo LANG_ABUSE;?>"></a>
                    <?php }?>

                </div>

                <select id="msg_links_select" name="msg_links_select">

                    <option value=""></option>

                    <option value="<?php echo href_to('forum', 'post_add', array($thread['id'], $post['id']));?>"><?php echo LANG_REPLY;?></option>

                    <?php if ($is_moder || !empty($post['is_author_can_edit'])){?>
                        <option value="<?php echo href_to('forum', 'post_edit', array($post['id']));?>"><?php echo LANG_EDIT;?></option>
                    <?php }?>

                    <?php if ($name > 1 && $is_moder){?>

                        <?php if (!$post['is_hidden']){?>

                            <option value="<?php echo href_to('forum', 'post', array('hide', $post['id']));?>"><?php echo LANG_HIDE;?></option>

                        <?php } else {?>

                            <option value="<?php echo href_to('forum', 'post', array('view', $post['id']));?>"><?php echo LANG_FORUM_VIEW;?></option>

                        <?php }?>

                        <?php if (!$post['is_pinned']){?>

                            <option value="<?php echo href_to('forum', 'post', array('pin', $post['id']));?>"><?php echo LANG_FORUM_PIN;?></option>

                        <?php } else {?>

                            <option value="<?php echo href_to('forum', 'post', array('unpin', $post['id']));?>"><?php echo LANG_FORUM_UNPIN;?></option>

                        <?php }?>

                    <?php }?>

                </select>
            <?php }?>

        </td>

    </tr>

    <tr class="posts_table_tr">

    <?php if (!$is_mobile){?>

        <td class="post_usercell">

            <div class="post_userlink">

                <a href="#" onclick="icms.forum.addNickname(this); return false;" title="<?php echo LANG_FORUM_ADD_NICKNAME;?>" rel="<?php html($post['user_nickname']);?>"><?php html($post['user_nickname']);?></a>

            </div>

            <div class="post_userimg">

                <a href="/users/<?php echo $post['user_id'];?>" title="<?php echo LANG_FORUM_GOTO_PROFILE;?>">

                    <?php echo html_avatar_image($post['user_avatar'], 'small', LANG_FORUM_GOTO_PROFILE);?>

                </a>

            </div>

            <ul class="details">

                <li><strong><?php echo LANG_FORUM_MESSAGES;?>:</strong> <?php echo $post['user_forum_posts_count'];?></li>

            <?php if ($post['user_city_cache']){?>
                <li><strong><?php echo LANG_CITY;?>:</strong> <?php echo $post['user_city_cache'];?></li>
            <?php }?>


            <?php if (!$post['is_online']){ ?>
                <strong><?php echo LANG_FORUM_AUTHOR_LOGDATE; ?>:</strong><br /> <?php echo string_date_format($post['user_date_log'], true); ?>
            <?php } else { ?>
                <span class="online"><?php echo LANG_ONLINE; ?></span>
            <?php } ?>

            </ul>
        </td>

        <td class="post_msgcell<?php if ($post['rating'] < 0){?> is_bad<?php }?>">

    <?php } else {?>

        <td class="post_usercell_img_mobile">

            <div class="post_userimg_mobile">

                <a href="/users/<?php echo $post['user_id'];?>" title="<?php echo LANG_FORUM_GOTO_PROFILE;?>">

                    <?php echo html_avatar_image($post['user_avatar'], 'small', LANG_FORUM_GOTO_PROFILE);?>

                </a>

            </div>

        </td>

        <td class="post_usercell_mobile">

            <div class="post_userlink_mobile">

                <a href="#" onclick="icms.forum.addNickname(this); return false;" title="<?php echo LANG_FORUM_ADD_NICKNAME;?>" rel="<?php html($post['user_nickname']);?>"><?php html($post['user_nickname']);?></a>

            </div>

            <ul class="details_mobile">

            <?php if ($post['user_city_cache']){?>
                <li><strong><?php echo LANG_CITY;?>:</strong> <?php echo $post['user_city_cache'];?></li>
            <?php }?>

            <?php if (!$post['is_online']){ ?>
                <strong><?php echo LANG_FORUM_AUTHOR_LOGDATE; ?>:</strong> <?php echo string_date_format($post['user_date_log'], true); ?>
            <?php } else { ?>
                <span class="online"><?php echo LANG_ONLINE; ?></span>
            <?php } ?>

            </ul>
        </td>

    </tr>
    <tr>
        <td colspan="2" class="post_msgcell_mobile<?php if ($post['rating'] < 0){?> is_bad<?php }?>">
    <?php }?>
            <?php if (!empty($post['rating_widget'])){ ?>

                <div class="votes_links">

                    <?php echo $post['rating_widget']; ?>

                </div>

            <?php } ?>

            <?php if (($user->is_admin || $is_moder || !empty($post['is_author_can_edit'])) && !empty($options['fast_edit']) && empty($thread['is_closed'])){ ?>

                <div class="fast_edit">

                    <a href="#" onclick="icms.forum.postFastEdit(<?php echo $post['id'];?>); return false;">
                        <img src="/templates/default/images/icons/edit.png" />
                    </a>

                </div>

            <?php } ?>

            <div id="post_content_<?php echo $post['id'];?>" class="post_content">

                <?php if (!$post['is_hidden']){?>

                    <?php echo $post['content_html'];?>

                <?php } else {?>

                    <a onclick="icms.forum.viewPost(<?php echo $post['id'];?>); return false;" href="#" class="ajaxlink" title="<?php echo LANG_FORUM_VIEW;?>"><?php echo LANG_FORUM_VIEW;?></a>

                <?php }?>

            </div>

            <?php if ($post['files']){?>

                <div id="attached_files_<?php echo $post['id'];?>">

                    <div class="fa_attach" id="fa_attach_<?php echo $post['id'];?>">

                        <div class="fa_attach_title"><?php echo LANG_FORUM_ATTACHED_FILE;?>:</div>

                        <div class="fa_filebox" id="filebox<?php echo $post['files']['id'];?>">

                            <div class="fa_file">

                                <a class="fa_file_link" href="<?php echo href_to('files', 'download', array($post['files']['id'], $post['files']['url_key']));?>"><?php echo $post['files']['name'];?></a>

                                <span class="fa_file_desc"> |

                                    <?php echo files_format_bytes($post['files']['size']);?>

                                </span>

                                <?php if (($is_moder || !empty($post['is_mypost']) && $is_can_attach )){?>

                                    <a href="#" title="<?php echo LANG_FORUM_DELETE_FILE;?>" onclick="if(confirm('<?php echo LANG_FORUM_DELETE_FILE;?>')){ icms.forum.deleteFile(<?php echo $post['id'];?>, <?php echo $post['files']['id'];?>); return false; }">
                                        <img src="/templates/default/images/icons/delete.png" />
                                    </a>

                                <?php }?>

                            </div>

                        </div>

                    </div>

                </div>

            <?php }?>

            <?php if ($post['count_modified']){?>

            <div class="post_editdate">

                <?php echo LANG_FORUM_EDITED;?>: <?php echo html_spellcount($post['count_modified'], LANG_FORUM_COUNT1, LANG_FORUM_COUNT2, LANG_FORUM_COUNT10);?> (<?php echo LANG_FORUM_LAST_EDIT;?>: <?php echo string_date_format($post['date_last_modified'], true);?>)

            </div>

            <?php }?>

            <?php if (!empty($post['is_flood_time'])){?>

            <div class="post_autodeleted">

                <?php echo LANG_FORUM_AUTODELETED;?>: <?php echo html_date_time($post['is_flood_time']);?>

            </div>

            <?php }?>

            <?php if (!empty($post['from_thread']) && $is_moder){?>

                <div class="from_thread"><?php echo LANG_FORUM_POST_FROM_THREAD;?> <?php echo html_link($post['from_thread_title'], href_to('forum', 'tfind', $post['from_thread']));?></div>

            <?php }?>

            <?php if ($post['user_forum_sign']){?>

                <div class="post_signature"><?php echo $post['user_forum_sign'];?></div>

            <?php }?>

        </td>

    </tr>

    <?php $num = ($post['is_first'] && $page > 1) ? $num : $num + 1;?>

    <?php }?>

</table>

<?php echo html_pagebar($page, $perpage, $total, href_to('forum', $thread['slug'] . '.html'));?>

<?php if (!empty($thread['prev_thread']) || !empty($thread['next_thread'])){?>

    <table class="forum_navbar" cellspacing="0" cellpadding="0">
        <tr>
            <?php if (!empty($thread['prev_thread'])){?>

                <td width="49%">
                    <div class="prev_thread">&larr; <a href="<?php echo href_to('forum', $thread['prev_thread']['slug'] . '.html');?>" title="<?php echo LANG_FORUM_PREVIOUS_THREAD;?>"><?php echo string_short($thread['prev_thread']['title'], 30);?></a></div>
                </td>

            <?php }?>

            <?php if ($is_mobile){?></tr><tr><?php } else {?>

            <?php if (!empty($thread['prev_thread']) && !empty($thread['next_thread'])){?><td width="10">|</td><?php }?>

            <?php }?>

            <?php if (!empty($thread['next_thread'])){?>

                <td>

                    <div class="next_thread"><a href="<?php echo href_to('forum', $thread['next_thread']['slug'] . '.html');?>" title="<?php echo LANG_FORUM_NEXT_THREAD;?>"><?php echo string_short($thread['next_thread']['title'], 30);?></a> &rarr;</div>

                </td>

            <?php }?>

        </tr>

    </table>

<?php }?>

<?php if (!$thread['is_closed']){?>

<div class="forum_fast">

    <?php if ($options['fast_answer'] && $is_can_write && !empty($form)){?>

        <div class="forum_fast_header"><?php echo LANG_FORUM_FAST_ANSWER;?></div>

        <?php $this->renderForm($form, false, array(
            'action' => href_to('forum', 'post_add', array($thread['id'], $post['id'])),
            'submit' => array( 'title' => LANG_SEND ),
            'toolbar' => false,
            'method' => 'post',
            'append_html' => '<div class="buttons">' . html_button(LANG_PREVIEW, 'preview', 'icms.forum.previewPost();', array('class' => 'button-small button-preview')) . '</div>'
        )); ?>

    <?php } elseif ($is_can_write){ ?>

        <div class="forum_fast_header"><a class="add_post" href="<?php echo href_to('forum', 'post_add', $thread['id']);?>"><?php echo LANG_FORUM_NEW_MESSAGE;?></a></div>

    <?php } else {?>

        <div><?php echo !$user->id ? LANG_FORUM_FOR_WRITE_ON_FORUM : LANG_FORUM_NOT_WRITE_ON_THIS_THREAD;?></div>

    <?php }?>

</div>

<?php }?>

<?php if ($user->id){?>

<script type="text/javascript">

    <?php echo $this->getLangJS('LANG_FORUM_RENAME_THREAD', 'LANG_SAVE', 'LANG_FORUM_SELECT_TEXT_QUOTE', 'LANG_FORUM_ATTACH_FILES');?>

    $(document).ready(function(){

        $('.posts_table_header .msg_links').css({ opacity:0.4, filter:'alpha(opacity=40)' });

        $('.posts_table_tr').hover(

            function() {
                $(this).prev().find('.msg_links').css({ opacity:1.0, filter:'alpha(opacity=100)' });
            },
            function() {
                $(this).prev().find('.msg_links').css({ opacity:0.4, filter:'alpha(opacity=40)' });
            }

        );

        $('.msg_links').hover(

            function() {
                $(this).css({ opacity:1.0, filter:'alpha(opacity=100)' });
            },
            function() {
                $(this).css({ opacity:0.4, filter:'alpha(opacity=40)' });
            }

        );

    });

    $("select#msg_links_select").on('change', function () {

        window.location = $(this).find("option:selected").val();

    });

</script>

<?php }