var icms = icms || {};
var LANG_FORUM_ATTACH_FILES = LANG_FORUM_ATTACH_FILES || '';

icms.forum = (function ($) {

    this.onDocumentReady = function() {

        var add_files = $('#f_files');
        if (add_files !== undefined){
            add_files.before('<div class="field add_file"><label>' + LANG_FORUM_ATTACH_FILES + '</label></div>');
            $('.add_file').on('click', function(){
                add_files.toggle('slow');
            });
        }
    };

    //=====================================================================//

    this.deleteThread = function(thread_id){

        $.ajax({
            type: 'POST',
            url: '/forum/thread_delete/' + thread_id,
            dataType: 'json'
        }).done(function(result){
            if(!result['error']){
                window.location.href = result['redirect'];
            }
        });

    };

    this.deleteFile = function(post_id, file_id){

        $.post('/forum/attach_delete/' + post_id + '/' + file_id, function(result){
            if(result){
                $('#fa_attach_' + post_id).css('background', '#ffaeae').fadeOut();
            }
            return false;
        });

    };

    this.viewPost = function(post_id){

        $.ajax({
            url: '/forum/post_view_ajax/'+post_id,
            dataType: 'json',
        }).done(function(data) {
            $('#post_content_'+post_id).html(data);
        });

    };

    this.postFastEdit = function(post_id){

        $.ajax({
            url: '/forum/post_edit_fast/' + post_id,
        }).done(function(data) {
            $('#post_content_'+post_id).html(data);
        });

    };

    this.deletePost = function(post_id){

        $.post('/forum/post_delete/'+post_id, function(result){
            if(result.error === false){
                window.location.href = result.redirect;
            }
        }, 'json');

    };

    this.previewPost = function(post_id){

        var url = '/forum/post_preview_ajax';
        var data = {content: $('textarea#content').val(), is_flood: $('select#is_flood').val()};

        icms.modal.openAjax(url, data, setTimeout(function(){ icms.modal.resize(); }, 750));
        return false;

    };

    //=====================================================================//

    this.addQuoteText = function(obj){

        author = $(obj).attr('rel');
        seltext = '';
        if (window.getSelection) {
            seltext = window.getSelection().toString();
        } else if (document.getSelection) {
            seltext = document.getSelection().toString();
        } else if (document.selection) {
            seltext = document.selection.createRange().text;
        }
        if (seltext){
            quote = '<blockquote><strong>'+author+':</strong><br>' + seltext + '</blockquote>' + "\n";
            msg = $('textarea#content').val() + quote;
            $('textarea#content').val(msg);
        } else {
            alert(LANG_FORUM_SELECT_TEXT_QUOTE)
        }
    };

    this.addNickname = function(obj) {

       nickname = $(obj).attr('rel');

       var txtarea = document.getElementById('content');

       var pos = this.getCaretPos(txtarea);

       txtarea.value = txtarea.value.substring(0, pos) + ' <b>' + nickname + '</b>, ' + txtarea.value.substring(pos, txtarea.value.length);

       return;

    };

    this.getCaretPos = function(obj) {

        obj.focus();

        if (document.selection) { // IE

        var sel = document.selection.createRange();

        var clone = sel.duplicate();

        sel.collapse(true);

        clone.moveToElementText(obj);

        clone.setEndPoint('EndToEnd', sel);

        return clone.text.length;

        } else if (obj.selectionStart !== false) { // Gecko

            return obj.selectionStart;

        } else { return 0; }

    };

    //=====================================================================//

    return this;

}).call(icms.forum || {},jQuery);